Bug 127221 - orinoco silver pcmcia card is not detected by cardmgr
orinoco silver pcmcia card is not detected by cardmgr
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-04 14:43 EDT by Jaanus Kivistik
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 09:51:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jaanus Kivistik 2004-07-04 14:43:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040625

Description of problem:
I have orinoco silver inserted to TI PCI1410 based bridge.

From log:

Jul  4 21:15:33 masin cardmgr[1252]: socket 0: Anonymous Memory
Jul  4 21:15:33 masin kernel: cs: memory probe 0xe0100000-0xe17fffff:
excluding 
0xe0100000-0xe17fffff
Jul  4 21:15:33 masin kernel: cs: memory probe 0xa0000000-0xa0ffffff:
excluding 
0xa0000000-0xa0ffffff
Jul  4 21:15:33 masin kernel: cs: memory probe 0x60000000-0x60ffffff:
excluding 
0x60000000-0x60ffffff
Jul  4 21:15:33 masin kernel: cs: warning: no high memory space available!
Jul  4 21:15:33 masin kernel: cs: memory probe 0x0d0000-0x0dffff:
excluding 0xd0
000-0xdffff
Jul  4 21:15:33 masin kernel: cs: memory probe 0x0e0000-0x0effff:
excluding 0xe0
000-0xeffff
Jul  4 21:15:33 masin kernel: cs: memory probe 0x0c0000-0x0cffff:
excluding 0xc0
000-0xcffff
Jul  4 21:15:33 masin kernel: cs: memory probe 0x0f0000-0x0fffff:
excluding 0xf0
000-0xfffff
Jul  4 21:15:33 masin kernel: cs: unable to map card memory!
Jul  4 21:15:33 masin kernel: cs: unable to map card memory!
Jul  4 21:15:33 masin cardmgr[1252]: executing: 'modprobe memory_cs 2>&1'
Jul  4 21:15:33 masin cardmgr[1252]: + FATAL: Module memory_cs not found.
Jul  4 21:15:33 masin cardmgr[1252]: modprobe exited with status 1
Jul  4 21:15:33 masin cardmgr[1252]: module
/lib/modules/2.6.6/pcmcia/memory_cs.
o not available
Jul  4 21:15:33 masin cardmgr[1252]: bind 'memory_cs' to socket 0
failed: Invalid argument
Jul  4 21:15:33 masin kernel: cs: unable to map card memory!
Jul  4 21:15:33 masin last message repeated 3 times

(thats with vanilla 2.6.6, same with kernel-2.6.7-1.469)

Restarting pcmcia gives:
[root@masin root]# /etc/init.d/pcmcia restart
Shutting down PCMCIA services: done.
Starting PCMCIA services: cardmgr[4037]: open_sock(socket 1) failed:
Bad file descriptor
cardmgr[4037]: watching 1 socket
done.

My pcmcia conf:
[root@masin root]# cat /etc/sysconfig/pcmcia 
PCMCIA=yes
PCIC=yenta_socket
PCIC_OPTS=
CORE_OPTS=
CARDMGR_OPTS=-f

Loaded modules:
[root@masin root]# lsmod | grep -e yenta -e pcmcia -e ds
ds                     13188  2 
yenta_socket           16448  1 
pcmcia_core            54020  2 ds,yenta_socket

Manually loading orinoco modules gives no effect. Reinserting orinoco
card to socket doesn't help.

lspci output:
01:08.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus
Controller (rev 01)
        Subsystem: SCM Microsystems: Unknown device 3000
        Flags: bus master, medium devsel, latency 168, IRQ 18
        Memory at eb004000 (32-bit, non-prefetchable)
        Bus: primary=01, secondary=02, subordinate=05, sec-latency=176
        Memory window 0: eb005000-eb006000 (prefetchable)
        Memory window 1: eb007000-eb008000
        I/O window 0: 0000a400-0000a4ff
        I/O window 1: 0000ac00-0000b003
        16-bit legacy interface ports at 0001


Version-Release number of selected component (if applicable):
kernel-2.6.7-1.469

How reproducible:
Always

Steps to Reproduce:
1. Use TI1410 bridge
2. Insert Orinoco/Avaya silver
3. Enable pcmcia, use yenta_socket driver
    

Additional info:
Comment 1 David W. Legg 2005-04-30 07:56:37 EDT
The Orinoco Gold USB card from Lucent is not detected either.
This is because the orinoco_usb driver is missing.
All the others are there.
I'd like to suggest support for these cool 802.11b cards.
This could become a separate bug report if necessary.
DWL
Comment 2 John Thacker 2006-10-29 18:12:56 EST
pcmcia-cs is obsolete and has been removed from Fedora Core.  It is not present
in FC5 or FC6, the only fully supported versions of Fedora Core.  (FC3 and FC4
are supported by Fedora Legacy for security fixes only.)  It has been replaced
by pcmciautils.  Due to the change in codebase, can you please retest this bug
against pcmciautils in FC5 or FC6?  If the bug is still present there, please
change the Component to pcmciautils and the version appropriately.  Thanks!

If there is no response within several weeks, the bug will be closed.
Comment 3 John Thacker 2007-01-03 09:51:01 EST
Per the previous comment, closing bug since pcmcia-cs is no longer supported. 
If a similar bug still exists in pcmciautils, the replacement for pcmcia-cs,
please reopen the bug or file a new one.

Note You need to log in before you can comment on or make changes to this bug.